%define	_exec_prefix	/

Summary:	The GNU line editor
Name:		ed
Version:	1.19
Release:	%mkrel 1
License:	GPLv3+
Group:		Editors
URL:		https://www.gnu.org/software/ed/ed.html
Source0:	https://ftp.gnu.org/gnu/ed/ed-%{version}.tar.lz

BuildRequires:	lzip

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%prep
%setup -q

%build
%configure --bindir=%{_bindir} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"
%make_build

%check
# all tests must pass
make check

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/ed
%{_bindir}/red
%{_infodir}/ed.info*
%{_mandir}/*/*


%changelog
* Sun Feb 12 2023 mrambo3501 <mrambo3501> 1.19-1.mga9
+ Revision: 1940795
- version 1.19

* Thu Aug 18 2022 pol4n <pol4n> 1.18-1.mga9
+ Revision: 1878527
- new version: 1.18

* Tue Mar 15 2022 umeabot <umeabot> 1.17-2.mga9
+ Revision: 1794089
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 1.17-1.mga9
+ Revision: 1701417
- new version: 1.17

* Wed Apr 22 2020 daviddavid <daviddavid> 1.16-1.mga8
+ Revision: 1570629
- new version: 1.16

* Fri Feb 14 2020 umeabot <umeabot> 1.15-2.mga8
+ Revision: 1521984
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 06 2019 kekepower <kekepower> 1.15-1.mga7
+ Revision: 1350193
- Update to verson 1.15

* Sun Sep 23 2018 umeabot <umeabot> 1.14.2-2.mga7
+ Revision: 1297564
- Mageia 7 Mass Rebuild

* Sun Feb 26 2017 luigiwalser <luigiwalser> 1.14.2-1.mga6
+ Revision: 1087924
- 1.14.2

* Tue Jan 17 2017 mrambo3501 <mrambo3501> 1.14.1-1.mga6
+ Revision: 1082168
- update to 1.14.1 fixes CVE-2017-5357

* Mon May 09 2016 luigiwalser <luigiwalser> 1.13-1.mga6
+ Revision: 1011345
- 1.13

* Thu Feb 11 2016 umeabot <umeabot> 1.12-2.mga6
+ Revision: 953812
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 1.12-1.mga6
+ Revision: 857140
- 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.10-3.mga5
+ Revision: 740642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10-2.mga5
+ Revision: 678953
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 1.10-1.mga5
+ Revision: 659859
- New version: 1.10

* Sun Oct 20 2013 umeabot <umeabot> 1.9-2.mga4
+ Revision: 536716
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 boklm <boklm> 1.9-1.mga4
+ Revision: 485406
- Version 1.9

* Tue Jun 11 2013 boklm <boklm> 1.8-1.mga4
+ Revision: 441959
- Version 1.8

* Fri Jan 11 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 349481
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 fwang <fwang> 1.7-1.mga3
+ Revision: 322220
- new version 1.7

* Fri Oct 26 2012 malo <malo> 1.6-2.mga3
+ Revision: 310375
- spec clean-up
- fix RPM group

* Mon Jan 02 2012 boklm <boklm> 1.6-1.mga2
+ Revision: 189749
- version 1.6

* Sat Jan 08 2011 blino <blino> 1.5-1.mga1
+ Revision: 1007
- imported package ed


* Tue Sep 07 2010 Funda Wang <fwang@mandriva.org> 1.5-1mdv2011.0
+ Revision: 576420
- update to new version 1.5

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdv2010.1
+ Revision: 520097
- rebuilt for 2010.1

* Mon Jul 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4-1mdv2010.0
+ Revision: 395568
- update to new version 1.4

* Sat May 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3-1mdv2010.0
+ Revision: 381324
- update to new version 1.3

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 1.2-1mdv2009.1
+ Revision: 336427
- New version 1.2

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdv2009.1
+ Revision: 316560
- rebuild

* Fri Oct 17 2008 Funda Wang <fwang@mandriva.org> 1.1-1mdv2009.1
+ Revision: 294578
- new version 1.1
- specify flags in configure script
- put check command at correct section

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 1.0-1mdv2009.0
+ Revision: 275947
- New version 1.0
- rediff install patch

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.9-2mdv2009.0
+ Revision: 220716
- rebuild

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.1
+ Revision: 176943
- update to new version 0.9

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.8-2mdv2008.1
+ Revision: 149687
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Vigier <nvigier@mandriva.com>
    - update license tag (GPLv3+)

* Sun Aug 19 2007 Funda Wang <fwang@mandriva.org> 0.8-1mdv2008.0
+ Revision: 67005
- New versino 0.8

* Thu Jul 19 2007 Funda Wang <fwang@mandriva.org> 0.7-1mdv2008.0
+ Revision: 53460
- New version

* Sat Jul 07 2007 Nicolas Vigier <nvigier@mandriva.com> 0.6-1mdv2008.0
+ Revision: 49597
- new version

* Tue Jun 26 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5-1mdv2008.0
+ Revision: 44590
- new version 0.5


* Tue Jan 23 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-1mdv2007.0
+ Revision: 112641
- new bleeding edge version 0.4
- dropped unneeded patches:
  . ed-0.2-li18nux-patch
  . ed-0.2-fixinfo.patch
  . ed-0.2-security-tempfile.patch
- added patch for install adjustments:
  . ed-0.4-install.patch
- 'configure' is not autotools based anymore, hooray!
- POSIX conformance info moved from POSIX to README
- THANKS file renamed to AUTHORS
- small spec cleanup

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-33mdv2007.1
+ Revision: 86391
- Import ed

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-33mdv2007.1
- bunzip patches
- fix deps

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2-32mdk
- Rebuild

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2-31mdk
- force the use of autoconf2.1
- cosmetics

